GNU bug report logs - #10107
23.2; Add command gud-quit

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: giecrilj@HIDDEN (Krzysztof =17belechowski); dated Tue, 22 Nov 2011 12:23:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Removed tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 10107 <at> debbugs.gnu.org:


Received: (at 10107) by debbugs.gnu.org; 8 Jun 2021 11:41:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 08 07:41:40 2021
Received: from localhost ([127.0.0.1]:57568 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lqa72-0004JG-NK
	for submit <at> debbugs.gnu.org; Tue, 08 Jun 2021 07:41:40 -0400
Received: from quimby.gnus.org ([95.216.78.240]:53894)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lqa71-0004J3-55
 for 10107 <at> debbugs.gnu.org; Tue, 08 Jun 2021 07:41:39 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=uVQsp82FDFipO2XrfF+MEGMxpPjflaZJXT0R8yEU2IY=; b=qnjgPVx30B/Vde8FvLNAV+a1kX
 dWJ+WqNTl45wJc5KP6mNoXpUjBvQ7Ah0+clC0gHd1LjsNh63xPpCGnZNFfBhrVJkFp3OKWSAun13G
 FSgLUUyzUdeZrMJW/X0CiuM66c1ByccJvGxZ9/LqT33xgPkjXGSav/rcbgA2EagESciE=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lqa6p-0008HZ-Mk; Tue, 08 Jun 2021 13:41:31 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#10107: 23.2; Add command gud-quit
References: <8762icpcus.fsf@HIDDEN>
 <1706399.zsAvlgfHB3@HIDDEN> <87k0n7uzcz.fsf@HIDDEN>
 <2011306.fv05nxKMY0@HIDDEN> <87lf7nqhrk.fsf@HIDDEN>
 <834kebi1y4.fsf@HIDDEN> <87h7ibqh36.fsf@HIDDEN>
 <8335tvi1fa.fsf@HIDDEN> <87sg1sofyt.fsf@HIDDEN>
 <83eedcfv3a.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAFVBMVEV6foVQR0KOck6t
 j1jEwsHGpFn////NDUVbAAAAAWJLR0QGYWa4fQAAAAd0SU1FB+UGCAsmHvUtrHgAAAGeSURBVDjL
 lZRNksIgEIXR6F503Bso9wkd9ijtBSTc/yrTDSEQrVlMV0Wr+Oq9/iMRIoeUJ1FjJ3d8sle3bhBi
 oEcMAGLYKykZPBXM2IS/BlAZTBad2CuKnp87mDMDry2i04aOpCRwjjAWMKM783GKawwjW/2ghg24
 22gyeBPwelisegsFeK5KlqAUUABnb8BqhQpS/ZDiEsmqz8DHpr97DDAWYJMinTsbI/QLwAY8I4Gi
 wGZYXSCrVWEAXeqDBhVjCCU5J3ksjUe2gga40gVFVTg9uRvvR10YxFEuoGY/Rmo8vosC/by2x2Eq
 ABSdoC1yBrJqwJyq4hTBNgBhIgWAZiMbVQV+Sn+Wu7ChUdDMRQc8wWA2Vh6oQ+9ZYbRtweTovrCC
 ZgimAfk35YA6qwJwAeZfAP4AgXOrL3DMe2qBT2vK5baK7rnub2vVuQLIqLWCVUF3pF6fYiVLik+F
 DMGmUX0B3pLRrRU8ErAEQG0V9L7elAagl1zlqkT79iNNagEHV29VRit4LSfugOlKvHLyy/ZLkmLo
 xSkVcxLyI34BwJTZThD1XbYAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjEtMDYtMDhUMTE6Mzg6Mjkr
 MDA6MDDoasrGAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIxLTA2LTA4VDExOjM4OjI5KzAwOjAwmTdy
 egAAAABJRU5ErkJggg==
X-Now-Playing: M. C. Schmidt's _Aqua Sauvage: Stuffed Concrete_: "(untitled)"
Date: Tue, 08 Jun 2021 13:41:27 +0200
In-Reply-To: <83eedcfv3a.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 08 Jun
 2021 14:34:49 +0300")
Message-ID: <87a6o0oa6w.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > If we want a
 general-purpose
 command to kill a subprocess, we already > have Proced. Do we really need
 yet another way? `M-x list-processes' is perhaps more relevant -- proced
 seems to just list all processes on the system? 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 10107
Cc: 10107 <at> debbugs.gnu.org, giecrilj@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> If we want a general-purpose command to kill a subprocess, we already
> have Proced.  Do we really need yet another way?

`M-x list-processes' is perhaps more relevant -- proced seems to just
list all processes on the system?

> I thought the issue was with killing a runaway process in GUD, which
> is a specialized situation which I can sympathize (having myself been
> in that situation once or twice...)

`delete-process' will delete any runaway process (in the current buffer)
-- I've had the same experience in other buffers.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10107; Package emacs. Full text available.

Message received at 10107 <at> debbugs.gnu.org:


Received: (at 10107) by debbugs.gnu.org; 8 Jun 2021 11:35:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 08 07:35:37 2021
Received: from localhost ([127.0.0.1]:57563 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lqa17-0004AU-2F
	for submit <at> debbugs.gnu.org; Tue, 08 Jun 2021 07:35:37 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52608)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lqa12-0004AD-8U
 for 10107 <at> debbugs.gnu.org; Tue, 08 Jun 2021 07:35:32 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58802)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lqa0r-0006Ua-H9; Tue, 08 Jun 2021 07:35:19 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3530
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1lqa0g-0003Uk-2y; Tue, 08 Jun 2021 07:35:06 -0400
Date: Tue, 08 Jun 2021 14:34:49 +0300
Message-Id: <83eedcfv3a.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87sg1sofyt.fsf@HIDDEN> (message from Lars Ingebrigtsen on Tue, 
 08 Jun 2021 11:36:42 +0200)
Subject: Re: bug#10107: 23.2; Add command gud-quit
References: <8762icpcus.fsf@HIDDEN>
 <1706399.zsAvlgfHB3@HIDDEN> <87k0n7uzcz.fsf@HIDDEN>
 <2011306.fv05nxKMY0@HIDDEN> <87lf7nqhrk.fsf@HIDDEN>
 <834kebi1y4.fsf@HIDDEN> <87h7ibqh36.fsf@HIDDEN>
 <8335tvi1fa.fsf@HIDDEN> <87sg1sofyt.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 10107
Cc: 10107 <at> debbugs.gnu.org, giecrilj@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: giecrilj@HIDDEN,  10107 <at> debbugs.gnu.org
> Date: Tue, 08 Jun 2021 11:36:42 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> >> delete-process is more general (works on all process-like things) and
> >> therefore seems more useful as a user-level command.
> >
> > But the OP wanted to kill only real subprocesses, no?
> 
> The OP only wanted a command for gud buffers, but I think that if we
> want to have a command here, we should make it generally useful.  And
> I don't see any downsides to using delete-process instead of
> kill-process here, but perhaps I'm overlooking something?

If we want a general-purpose command to kill a subprocess, we already
have Proced.  Do we really need yet another way?

I thought the issue was with killing a runaway process in GUD, which
is a specialized situation which I can sympathize (having myself been
in that situation once or twice...)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10107; Package emacs. Full text available.

Message received at 10107 <at> debbugs.gnu.org:


Received: (at 10107) by debbugs.gnu.org; 8 Jun 2021 09:36:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 08 05:36:55 2021
Received: from localhost ([127.0.0.1]:57467 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lqYAJ-0007Ng-I5
	for submit <at> debbugs.gnu.org; Tue, 08 Jun 2021 05:36:55 -0400
Received: from quimby.gnus.org ([95.216.78.240]:52512)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lqYAH-0007NR-PK
 for 10107 <at> debbugs.gnu.org; Tue, 08 Jun 2021 05:36:54 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=6cqMPZd4UFOw3Z+ufn3+xMs6ANVgPIeJxw0h+TMzaqg=; b=QSWKMCZj2vQAEVKjQhjhr7IWep
 h5JoiudobWxN4kq8/aYmIcDZL0SdLBeOn0kzvtUezqzezrZyTYSE7AmuDS6dnvzgkBdZ9u0D+k6Ft
 w/3kt50o7dGS0gCoz6og6O9sGIdJtqH77LpJabvl8kEgYTEunAIU8aq+YeIEsm9yEPtI=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lqYA7-0007ET-4R; Tue, 08 Jun 2021 11:36:47 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#10107: 23.2; Add command gud-quit
References: <8762icpcus.fsf@HIDDEN>
 <1706399.zsAvlgfHB3@HIDDEN> <87k0n7uzcz.fsf@HIDDEN>
 <2011306.fv05nxKMY0@HIDDEN> <87lf7nqhrk.fsf@HIDDEN>
 <834kebi1y4.fsf@HIDDEN> <87h7ibqh36.fsf@HIDDEN>
 <8335tvi1fa.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEVsdXsdFBTh08v/
 //8dPTZQAAAAAWJLR0QDEQxM8gAAAAlwSFlzAAALEgAACxIB0t1+/AAAAAd0SU1FB+UGCAkgL/Et
 36oAAAFbSURBVCjPTdG9bsIwEAfwAxUJeaJRIiGmlgn5KRIEQzOFyNehT1DxFFEm5KkdWJiCpUru
 /yl751BElA//ch92HJoxE02YuSEifZQKN8LRI3IF39Kenh+Q0lT3GuaS0qsRTQJXcu0P7g5X0i3S
 yIl4g2Nugd0jtMZxkxA1cqiWcm9Cl2rKldy36NKklRkKPl7mE8H+bRsLrrOoKGg6zHibDVrjqL9O
 uPZgrdn0seIaUeDyjYl7wa+CjJcGH1ONcGlxKjRtJtglNJkdtIHBlXkBRF3VGq/sOttDGjjyPy7v
 jIemtb54zwfrQ9oqe26ziIum8WHN7SoGk9KqwMZgOCbwoqgt4meC+26WMosF7Znzr7wXACS/se2p
 g4dA9rwOp5cxEhtZsF8DQYB5UQMWehBwFuj7BJ0EYwNFxHiQFYRxHGjqC4vQjxiMfDaN7Ug+vJah
 0fYELxH843RH+ANNCdcrFLJgDgAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMS0wNi0wOFQwOTozMjo0
 NyswMDowMK4UGs4AAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjEtMDYtMDhUMDk6MzI6NDcrMDA6MDDf
 SaJyAAAAAElFTkSuQmCC
X-Now-Playing: Mimi Goese and Ben Neill's _Life You Are_: "You4ia"
Date: Tue, 08 Jun 2021 11:36:42 +0200
In-Reply-To: <8335tvi1fa.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 06 Jun
 2021 16:10:33 +0300")
Message-ID: <87sg1sofyt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: >> delete-process is
 more general (works on all process-like things) and >> therefore seems more
 useful as a user-level command. > > But the OP wanted to kill only real
 subprocesses, no? 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 10107
Cc: 10107 <at> debbugs.gnu.org, giecrilj@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> delete-process is more general (works on all process-like things) and
>> therefore seems more useful as a user-level command.
>
> But the OP wanted to kill only real subprocesses, no?

The OP only wanted a command for gud buffers, but I think that if we
want to have a command here, we should make it generally useful.  And
I don't see any downsides to using delete-process instead of
kill-process here, but perhaps I'm overlooking something?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10107; Package emacs. Full text available.

Message received at 10107 <at> debbugs.gnu.org:


Received: (at 10107) by debbugs.gnu.org; 6 Jun 2021 13:12:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 06 09:12:48 2021
Received: from localhost ([127.0.0.1]:50989 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lpsa4-0005oG-Qi
	for submit <at> debbugs.gnu.org; Sun, 06 Jun 2021 09:12:48 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44024)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lpsa0-0005o1-La
 for 10107 <at> debbugs.gnu.org; Sun, 06 Jun 2021 09:12:44 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50678)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lpsZv-0004kI-Gx; Sun, 06 Jun 2021 09:12:35 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3143
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1lpsZu-0001oU-6i; Sun, 06 Jun 2021 09:12:35 -0400
Date: Sun, 06 Jun 2021 16:12:32 +0300
Message-Id: <831r9fi1bz.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Krzysztof =?iso-8859-2?Q?=AFelechowski?= <giecrilj@HIDDEN>
In-Reply-To: <3523241.YgWQDmMeQI@HIDDEN> (message from
 Krzysztof =?iso-8859-2?Q?=AFelechowski?= on Sun, 06 Jun 2021 15:04:27
 +0200)
Subject: Re: bug#10107: 23.2; Add command gud-quit
References: <8762icpcus.fsf@HIDDEN>
 <2011306.fv05nxKMY0@HIDDEN> <87lf7nqhrk.fsf@HIDDEN>
 <3523241.YgWQDmMeQI@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=iso-8859-2
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 10107
Cc: 10107 <at> debbugs.gnu.org, larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Krzysztof »elechowski <giecrilj@HIDDEN>
> Date: Sun, 06 Jun 2021 15:04:27 +0200
> Cc: 10107 <at> debbugs.gnu.org
> 
> > (Assigning a keystroke to it might perhaps be overkill.)
> 
> Imagine yourself as an operator at the Knight Capital Group.  You can see 
> ongoing damage but you still want to preserve the log.  What would you rather  
> use, a keyboard accelerator or a long command?

Any user can always bind this command to any key they want.  Lars was
talking about having a binding _by_default_.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10107; Package emacs. Full text available.

Message received at 10107 <at> debbugs.gnu.org:


Received: (at 10107) by debbugs.gnu.org; 6 Jun 2021 13:10:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 06 09:10:48 2021
Received: from localhost ([127.0.0.1]:50985 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lpsY9-0005lR-6C
	for submit <at> debbugs.gnu.org; Sun, 06 Jun 2021 09:10:48 -0400
Received: from eggs.gnu.org ([209.51.188.92]:43862)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lpsY4-0005lB-AS
 for 10107 <at> debbugs.gnu.org; Sun, 06 Jun 2021 09:10:43 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50598)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lpsXz-0003b3-1U; Sun, 06 Jun 2021 09:10:35 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3018
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1lpsXy-0001Zz-Kf; Sun, 06 Jun 2021 09:10:34 -0400
Date: Sun, 06 Jun 2021 16:10:33 +0300
Message-Id: <8335tvi1fa.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87h7ibqh36.fsf@HIDDEN> (message from Lars Ingebrigtsen on Sun, 
 06 Jun 2021 15:05:01 +0200)
Subject: Re: bug#10107: 23.2; Add command gud-quit
References: <8762icpcus.fsf@HIDDEN>
 <1706399.zsAvlgfHB3@HIDDEN> <87k0n7uzcz.fsf@HIDDEN>
 <2011306.fv05nxKMY0@HIDDEN> <87lf7nqhrk.fsf@HIDDEN>
 <834kebi1y4.fsf@HIDDEN> <87h7ibqh36.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 10107
Cc: 10107 <at> debbugs.gnu.org, giecrilj@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: giecrilj@HIDDEN,  10107 <at> debbugs.gnu.org
> Date: Sun, 06 Jun 2021 15:05:01 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > Why not invoke kill-process instead?
> 
> delete-process is more general (works on all process-like things) and
> therefore seems more useful as a user-level command.

But the OP wanted to kill only real subprocesses, no?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10107; Package emacs. Full text available.

Message received at 10107 <at> debbugs.gnu.org:


Received: (at 10107) by debbugs.gnu.org; 6 Jun 2021 13:08:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 06 09:08:32 2021
Received: from localhost ([127.0.0.1]:50981 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lpsVz-0005i9-Qf
	for submit <at> debbugs.gnu.org; Sun, 06 Jun 2021 09:08:31 -0400
Received: from shark2.2a.pl ([213.77.90.2]:61380 helo=shark.2a.pl)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <giecrilj@HIDDEN>) id 1lpsVu-0005hq-08
 for 10107 <at> debbugs.gnu.org; Sun, 06 Jun 2021 09:08:29 -0400
Received: from wrasse.2a.pl (wrasse.2a.pl [213.77.90.7])
 by shark.2a.pl (Postfix) with ESMTP id BC4A3175080A;
 Sun,  6 Jun 2021 15:08:19 +0200 (CEST)
X-Virus-Scanned: amavisd-new at 2a.pl
Received: from shark.2a.pl ([213.77.90.2])
 by wrasse.2a.pl (wrasse.2a.pl [213.77.90.7]) (amavisd-new, port 10024)
 with ESMTP id 6oIf3dDbpMhV; Sun,  6 Jun 2021 15:05:59 +0200 (CEST)
Received: from localhost.localdomain (unknown [10.8.1.26])
 by shark.2a.pl (Postfix) with ESMTPSA id 608FC175080F;
 Sun,  6 Jun 2021 15:06:57 +0200 (CEST)
From: Krzysztof =?utf-8?B?xbtlbGVjaG93c2tp?= <giecrilj@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#10107: 23.2; Add command gud-quit
Date: Sun, 06 Jun 2021 15:04:27 +0200
Message-ID: <3523241.YgWQDmMeQI@HIDDEN>
In-Reply-To: <87lf7nqhrk.fsf@HIDDEN>
References: <8762icpcus.fsf@HIDDEN>
 <2011306.fv05nxKMY0@HIDDEN> <87lf7nqhrk.fsf@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset="iso-8859-2"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 10107
Cc: 10107 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Dnia niedziela, 6 czerwca 2021 14:50:23 CEST Lars Ingebrigtsen pisze:
> Krzysztof =AFelechowski <giecrilj@HIDDEN> writes:
> > While the binding I chose might be inappropriate, the new command
> > would kill the underlying process but leave the buffer for further
> > examination.
>=20
> Oh, I see -- you just want a command that kills the process in the
> current buffer?
>=20
> Sure, that's something that I think sounds generally useful (for
> instance to kill an out-of-control process that's inserting something in
> the buffer), and there doesn't seem to be such a command?
>=20
> The `delete-process' function does this (with no parameters it'll kill
> the process in the current buffer), so we could just slap an interactive
> spec on it and make it a command.  (Assigning a keystroke to it might
> perhaps be overkill.)

Imagine yourself as an operator at the Knight Capital Group.  You can see=20
ongoing damage but you still want to preserve the log.  What would you rath=
er =20
use, a keyboard accelerator or a long command?

Chris








Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10107; Package emacs. Full text available.

Message received at 10107 <at> debbugs.gnu.org:


Received: (at 10107) by debbugs.gnu.org; 6 Jun 2021 13:05:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 06 09:05:23 2021
Received: from localhost ([127.0.0.1]:50972 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lpsSs-0005d2-Tg
	for submit <at> debbugs.gnu.org; Sun, 06 Jun 2021 09:05:23 -0400
Received: from quimby.gnus.org ([95.216.78.240]:59874)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lpsSn-0005ch-6m
 for 10107 <at> debbugs.gnu.org; Sun, 06 Jun 2021 09:05:18 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=2a2RSoxAjc5wWIDV73EJJfMBu9QlZpFsu61fTGFh+hA=; b=jy6B1+m3f0iPoFZORF9q47WGHr
 VMkCXZ5bAwAXzqxrywUV+Tx9KsZ3VpqY0oQ6alZupobUmgI3kyWJqxKxgXHCHvn4hY3DzsHBmTMI2
 qb014reGPqndgDkPJ1AvqzaMOHtKUMZzosMctxBCOQG59Sqb6cdRTa5x8U2CrlS0PQe0=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lpsSc-0006iQ-3i; Sun, 06 Jun 2021 15:05:06 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#10107: 23.2; Add command gud-quit
References: <8762icpcus.fsf@HIDDEN>
 <1706399.zsAvlgfHB3@HIDDEN> <87k0n7uzcz.fsf@HIDDEN>
 <2011306.fv05nxKMY0@HIDDEN> <87lf7nqhrk.fsf@HIDDEN>
 <834kebi1y4.fsf@HIDDEN>
X-Now-Playing: Stephen Mallinder's _Pow Wow_: "Length Of Time"
Date: Sun, 06 Jun 2021 15:05:01 +0200
In-Reply-To: <834kebi1y4.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 06 Jun
 2021 15:59:15 +0300")
Message-ID: <87h7ibqh36.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > Why not invoke
 kill-process
 instead? delete-process is more general (works on all process-like things)
 and therefore seems more useful as a user-level command. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 10107
Cc: 10107 <at> debbugs.gnu.org, giecrilj@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Why not invoke kill-process instead?

delete-process is more general (works on all process-like things) and
therefore seems more useful as a user-level command.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10107; Package emacs. Full text available.

Message received at 10107 <at> debbugs.gnu.org:


Received: (at 10107) by debbugs.gnu.org; 6 Jun 2021 12:59:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 06 08:59:28 2021
Received: from localhost ([127.0.0.1]:50962 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lpsNE-0005TA-GI
	for submit <at> debbugs.gnu.org; Sun, 06 Jun 2021 08:59:28 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42096)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lpsNC-0005Sw-QG
 for 10107 <at> debbugs.gnu.org; Sun, 06 Jun 2021 08:59:27 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50406)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lpsN3-0004xG-Qn; Sun, 06 Jun 2021 08:59:17 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2322
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1lpsN3-00025G-DO; Sun, 06 Jun 2021 08:59:17 -0400
Date: Sun, 06 Jun 2021 15:59:15 +0300
Message-Id: <834kebi1y4.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87lf7nqhrk.fsf@HIDDEN> (message from Lars Ingebrigtsen on Sun, 
 06 Jun 2021 14:50:23 +0200)
Subject: Re: bug#10107: 23.2; Add command gud-quit
References: <8762icpcus.fsf@HIDDEN>
 <1706399.zsAvlgfHB3@HIDDEN> <87k0n7uzcz.fsf@HIDDEN>
 <2011306.fv05nxKMY0@HIDDEN> <87lf7nqhrk.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 10107
Cc: 10107 <at> debbugs.gnu.org, giecrilj@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Sun, 06 Jun 2021 14:50:23 +0200
> Cc: 10107 <at> debbugs.gnu.org
> 
> Oh, I see -- you just want a command that kills the process in the
> current buffer?
> 
> Sure, that's something that I think sounds generally useful (for
> instance to kill an out-of-control process that's inserting something in
> the buffer), and there doesn't seem to be such a command?
> 
> The `delete-process' function does this (with no parameters it'll kill
> the process in the current buffer), so we could just slap an interactive
> spec on it and make it a command.  (Assigning a keystroke to it might
> perhaps be overkill.)

Why not invoke kill-process instead?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10107; Package emacs. Full text available.

Message received at 10107 <at> debbugs.gnu.org:


Received: (at 10107) by debbugs.gnu.org; 6 Jun 2021 12:50:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 06 08:50:46 2021
Received: from localhost ([127.0.0.1]:50949 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lpsEj-0005FX-V5
	for submit <at> debbugs.gnu.org; Sun, 06 Jun 2021 08:50:46 -0400
Received: from quimby.gnus.org ([95.216.78.240]:59790)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lpsEd-0005FE-8q
 for 10107 <at> debbugs.gnu.org; Sun, 06 Jun 2021 08:50:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=vFrcDESbh6CMwiAWu7c3l0Zbdkc9W3XpPiUi+Bt2lW0=; b=hyLi7QgCPSytIHl1oA8HP3wriE
 pUQmKsifVjVEuWDBrJnfOW28PLQ3ZSFvNLcSKlZM4eZwJ/Bc7rCu24jMeLY5umULTAP7QA1tt6d/V
 nQSM988ac/V3fRDP7rdqkqFVqZ/2RUhZpqy508JFqKsyr21GujXMDma/dam0/Vpq0U8Q=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lpsES-0006dZ-Dz; Sun, 06 Jun 2021 14:50:28 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Krzysztof =?utf-8?Q?=C5=BBelechowski?= <giecrilj@HIDDEN>
Subject: Re: bug#10107: 23.2; Add command gud-quit
References: <8762icpcus.fsf@HIDDEN>
 <1706399.zsAvlgfHB3@HIDDEN> <87k0n7uzcz.fsf@HIDDEN>
 <2011306.fv05nxKMY0@HIDDEN>
X-Now-Playing: Stephen Mallinder's _Pow Wow_: "Three Piece Swing"
Date: Sun, 06 Jun 2021 14:50:23 +0200
In-Reply-To: <2011306.fv05nxKMY0@HIDDEN> ("Krzysztof
 =?utf-8?Q?=C5=BBelechowski=22's?= message of "Sun, 06 Jun 2021 13:58:25
 +0200")
Message-ID: <87lf7nqhrk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Krzysztof ┼╗elechowski <giecrilj@HIDDEN> writes: > While
    the binding I chose might be inappropriate, the new command > would kill
   the underlying process but leave the buffer for further > examination. 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 10107
Cc: 10107 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Krzysztof =C5=BBelechowski <giecrilj@HIDDEN> writes:

> While the binding I chose might be inappropriate, the new command
> would kill the underlying process but leave the buffer for further
> examination.

Oh, I see -- you just want a command that kills the process in the
current buffer?

Sure, that's something that I think sounds generally useful (for
instance to kill an out-of-control process that's inserting something in
the buffer), and there doesn't seem to be such a command?

The `delete-process' function does this (with no parameters it'll kill
the process in the current buffer), so we could just slap an interactive
spec on it and make it a command.  (Assigning a keystroke to it might
perhaps be overkill.)

Anybody got any opinions here?

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10107; Package emacs. Full text available.

Message received at 10107 <at> debbugs.gnu.org:


Received: (at 10107) by debbugs.gnu.org; 6 Jun 2021 12:01:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 06 08:01:22 2021
Received: from localhost ([127.0.0.1]:50855 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lprSw-0003wK-IW
	for submit <at> debbugs.gnu.org; Sun, 06 Jun 2021 08:01:22 -0400
Received: from shark2.2a.pl ([213.77.90.2]:53817 helo=shark.2a.pl)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <giecrilj@HIDDEN>) id 1lprSr-0003vz-6Z
 for 10107 <at> debbugs.gnu.org; Sun, 06 Jun 2021 08:01:17 -0400
Received: from wrasse.2a.pl (wrasse.2a.pl [213.77.90.7])
 by shark.2a.pl (Postfix) with ESMTP id BD28F1750808;
 Sun,  6 Jun 2021 14:01:04 +0200 (CEST)
X-Virus-Scanned: amavisd-new at 2a.pl
Received: from shark.2a.pl ([213.77.90.2])
 by wrasse.2a.pl (wrasse.2a.pl [213.77.90.7]) (amavisd-new, port 10024)
 with ESMTP id 2DWu0qIO79ev; Sun,  6 Jun 2021 13:59:45 +0200 (CEST)
Received: from localhost.localdomain (unknown [10.8.1.26])
 by shark.2a.pl (Postfix) with ESMTPSA id 1FD561750809;
 Sun,  6 Jun 2021 14:01:02 +0200 (CEST)
From: Krzysztof =?utf-8?B?xbtlbGVjaG93c2tp?= <giecrilj@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#10107: 23.2; Add command gud-quit
Date: Sun, 06 Jun 2021 13:58:25 +0200
Message-ID: <2011306.fv05nxKMY0@HIDDEN>
In-Reply-To: <87k0n7uzcz.fsf@HIDDEN>
References: <8762icpcus.fsf@HIDDEN>
 <1706399.zsAvlgfHB3@HIDDEN> <87k0n7uzcz.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/alternative; boundary="nextPart115929860.kW4GLCP25u"
Content-Transfer-Encoding: 7Bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 10107
Cc: 10107 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is a multi-part message in MIME format.

--nextPart115929860.kW4GLCP25u
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset="iso-8859-2"

Dnia niedziela, 6 czerwca 2021 11:16:44 CEST Lars Ingebrigtsen pisze:
> Krzysztof =AFelechowski <giecrilj@HIDDEN> writes:
> > The idea behind this request was that there should be a command to kill
> > the
> > this buffer process.
>=20
> `C-x k' kills any buffer -- isn't that as convenient as a new
> hypothetical `C-c q' binding?  So I'm afraid I still don't understand
> this request.
>=20
> (The latter binding can't be added, though, since `C-c LETTER' is
> reserved for users to bind.)


While the binding I chose might be inappropriate, the new command would kil=
l the=20
underlying process but leave the buffer for further examination.

Chris



--nextPart115929860.kW4GLCP25u
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html; charset="iso-8859-2"

<html>
<head>
<meta http-equiv=3D"content-type" content=3D"text/html; charset=3DUTF-8">
</head>
<body><p style=3D"margin-top:0;margin-bottom:0;margin-left:0;margin-right:0=
;">Dnia niedziela, 6 czerwca 2021 11:16:44 CEST Lars Ingebrigtsen pisze:</p>
<p style=3D"margin-top:0;margin-bottom:0;margin-left:0;margin-right:0;">&gt=
; Krzysztof =AFelechowski &lt;giecrilj@HIDDEN&gt; writes:</p>
<p style=3D"margin-top:0;margin-bottom:0;margin-left:0;margin-right:0;">&gt=
; &gt; The idea behind this request was that there should be a command to k=
ill</p>
<p style=3D"margin-top:0;margin-bottom:0;margin-left:0;margin-right:0;">&gt=
; &gt; the</p>
<p style=3D"margin-top:0;margin-bottom:0;margin-left:0;margin-right:0;">&gt=
; &gt; this buffer process.</p>
<p style=3D"margin-top:0;margin-bottom:0;margin-left:0;margin-right:0;">&gt=
; </p>
<p style=3D"margin-top:0;margin-bottom:0;margin-left:0;margin-right:0;">&gt=
; `C-x k' kills any buffer -- isn't that as convenient as a new</p>
<p style=3D"margin-top:0;margin-bottom:0;margin-left:0;margin-right:0;">&gt=
; hypothetical `C-c q' binding?&nbsp; So I'm afraid I still don't understan=
d</p>
<p style=3D"margin-top:0;margin-bottom:0;margin-left:0;margin-right:0;">&gt=
; this request.</p>
<p style=3D"margin-top:0;margin-bottom:0;margin-left:0;margin-right:0;">&gt=
; </p>
<p style=3D"margin-top:0;margin-bottom:0;margin-left:0;margin-right:0;">&gt=
; (The latter binding can't be added, though, since `C-c LETTER' is</p>
<p style=3D"margin-top:0;margin-bottom:0;margin-left:0;margin-right:0;">&gt=
; reserved for users to bind.)</p>
<br /><br /><p style=3D"margin-top:0;margin-bottom:0;margin-left:0;margin-r=
ight:0;">While the binding I chose might be inappropriate, the new command =
would kill the underlying process but leave the buffer for further examinat=
ion.</p>
<br /><p style=3D"margin-top:0;margin-bottom:0;margin-left:0;margin-right:0=
;">Chris</p>
<br /><br /></body>
</html>
--nextPart115929860.kW4GLCP25u--







Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10107; Package emacs. Full text available.

Message received at 10107 <at> debbugs.gnu.org:


Received: (at 10107) by debbugs.gnu.org; 6 Jun 2021 09:16:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 06 05:16:59 2021
Received: from localhost ([127.0.0.1]:50641 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lpotu-0005U7-P2
	for submit <at> debbugs.gnu.org; Sun, 06 Jun 2021 05:16:58 -0400
Received: from quimby.gnus.org ([95.216.78.240]:57312)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lpotr-0005Ts-CQ
 for 10107 <at> debbugs.gnu.org; Sun, 06 Jun 2021 05:16:58 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=ltbE1LFZt3A3mzhLP5tTFq8+KsQEHxKbnksZrWQNMJE=; b=lG8ckfL717iYir2JyVA/L6rJV8
 gYRoNz0oH1kYR/oBUGQ6TkI0fxTokGr4Eenbo7QrGWJOOW+wa6AcpaoiuH0N0WauzumxG66cQpF3K
 u2Og0F983qeB6Lvv8CVqhAFVnU+nk95HZWNELnpe9ClCk3RYC5wd5La7sCE+SZ/xM5Dg=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lpoth-0004pa-CU; Sun, 06 Jun 2021 11:16:49 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Krzysztof =?utf-8?Q?=C5=BBelechowski?= <giecrilj@HIDDEN>
Subject: Re: bug#10107: 23.2; Add command gud-quit
References: <8762icpcus.fsf@HIDDEN> <87zgw867nl.fsf@HIDDEN>
 <1706399.zsAvlgfHB3@HIDDEN>
X-Now-Playing: Anohni's _I Will Survive_: "I Will Survive"
Date: Sun, 06 Jun 2021 11:16:44 +0200
In-Reply-To: <1706399.zsAvlgfHB3@HIDDEN> ("Krzysztof
 =?utf-8?Q?=C5=BBelechowski=22's?= message of "Thu, 03 Jun 2021 18:54:03
 +0200")
Message-ID: <87k0n7uzcz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Krzysztof ┼╗elechowski <giecrilj@HIDDEN> writes: > The
    idea behind this request was that there should be a command to kill the >
    this buffer process. `C-x k' kills any buffer -- isn't that as convenient
    as a new hypothetical `C-c q' binding? So I'm afraid I still don't understand
    this request. 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 10107
Cc: 10107 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Krzysztof =C5=BBelechowski <giecrilj@HIDDEN> writes:

> The idea behind this request was that there should be a command to kill t=
he=20
> this buffer process.

`C-x k' kills any buffer -- isn't that as convenient as a new
hypothetical `C-c q' binding?  So I'm afraid I still don't understand
this request.

(The latter binding can't be added, though, since `C-c LETTER' is
reserved for users to bind.)

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10107; Package emacs. Full text available.

Message received at 10107 <at> debbugs.gnu.org:


Received: (at 10107) by debbugs.gnu.org; 4 Jun 2021 15:52:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 04 11:52:21 2021
Received: from localhost ([127.0.0.1]:47772 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lpC7N-0000iz-F8
	for submit <at> debbugs.gnu.org; Fri, 04 Jun 2021 11:52:21 -0400
Received: from shark2.2a.pl ([213.77.90.2]:63298 helo=shark.2a.pl)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <giecrilj@HIDDEN>) id 1lpC7I-0000iS-N6
 for 10107 <at> debbugs.gnu.org; Fri, 04 Jun 2021 11:52:16 -0400
Received: from wrasse.2a.pl (wrasse.2a.pl [213.77.90.7])
 by shark.2a.pl (Postfix) with ESMTP id E2420175086D;
 Fri,  4 Jun 2021 17:52:05 +0200 (CEST)
X-Virus-Scanned: amavisd-new at 2a.pl
Received: from shark.2a.pl ([213.77.90.2])
 by wrasse.2a.pl (wrasse.2a.pl [213.77.90.7]) (amavisd-new, port 10024)
 with ESMTP id Efd74bvekoW7; Fri,  4 Jun 2021 17:50:43 +0200 (CEST)
Received: from localhost.localdomain (unknown [10.8.1.26])
 by shark.2a.pl (Postfix) with ESMTPSA id 04CAE1750A8C;
 Thu,  3 Jun 2021 18:56:39 +0200 (CEST)
From: Krzysztof =?utf-8?B?xbtlbGVjaG93c2tp?= <giecrilj@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#10107: 23.2; Add command gud-quit
Date: Thu, 03 Jun 2021 18:54:03 +0200
Message-ID: <1706399.zsAvlgfHB3@HIDDEN>
In-Reply-To: <87zgw867nl.fsf@HIDDEN>
References: <8762icpcus.fsf@HIDDEN> <87zgw867nl.fsf@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset="iso-8859-2"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 10107
Cc: 10107 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Dnia =B6roda, 2 czerwca 2021 09:35:26 CEST Lars Ingebrigtsen pisze:
> giecrilj@HIDDEN (Krzysztof =3D17belechowski) writes:
> > <menu-bar> <tools> <gdb> ls <RET> C-c q
> >=20
> > C-c q is undefined.
> > Given input C-c q when no subprocess is being debugged, gud should quit.
>=20
> (I'm going through old bug reports that unfortunately got no response at
> the time.)
>=20
> I'm not sure I understand this bug report -- `C-c q' isn't a key binding
> that any Emacs mode binds, so it's not surprising that it's not bound
> here, either.
>=20
> Did you mean some other key binding?


This was meant as a feature request: add a command and bind it.

The idea behind this request was that there should be a command to kill the=
=20
this buffer process.

HTH,
Chris






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10107; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 10107 <at> debbugs.gnu.org:


Received: (at 10107) by debbugs.gnu.org; 2 Jun 2021 07:35:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 02 03:35:41 2021
Received: from localhost ([127.0.0.1]:38621 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1loLPh-0007mW-LO
	for submit <at> debbugs.gnu.org; Wed, 02 Jun 2021 03:35:41 -0400
Received: from quimby.gnus.org ([95.216.78.240]:54886)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1loLPd-0007mB-JD
 for 10107 <at> debbugs.gnu.org; Wed, 02 Jun 2021 03:35:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=LBtSTzED8ElMe7/oozaujWukYoJpir9PvSSf5/asFHc=; b=qemTDHB+OL2kfLW1HIX1FQjoFb
 dIRXywUQ/oV3KkG/ufeZ+wx0Nn/OJUwh1rQmG5eTwWTUl3/mqAxZt0PU3VhZB0uEnbJh6rdVo0gOX
 0F1i8tNWMGXN2LNlyrkInot0wxZ8kaHY0TT9s7IqpZ/KCiY629ufYZxA5pTvyXktSOE4=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1loLPT-0003Ie-2q; Wed, 02 Jun 2021 09:35:31 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: giecrilj@HIDDEN (Krzysztof =17belechowski)
Subject: Re: bug#10107: 23.2; Add command gud-quit
References: <8762icpcus.fsf@HIDDEN>
X-Now-Playing: Nobukazu Takemura's _Child's View_: "Searching"
Date: Wed, 02 Jun 2021 09:35:26 +0200
In-Reply-To: <8762icpcus.fsf@HIDDEN> (Krzysztof's message of "Tue, 22
 Nov 2011 13:20:59 +0100")
Message-ID: <87zgw867nl.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  giecrilj@HIDDEN (Krzysztof =17belechowski) writes: >
 <menu-bar> <tools> <gdb> ls <RET> C-c q > > C-c q is undefined. > Given input
 C-c q when no subprocess is being debugged, gud should quit. (I'm going through
 old bug reports that unfortunately got no response at the time.) 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 10107
Cc: 10107 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

giecrilj@HIDDEN (Krzysztof =17belechowski) writes:

> <menu-bar> <tools> <gdb> ls <RET> C-c q
>
> C-c q is undefined.
> Given input C-c q when no subprocess is being debugged, gud should quit.

(I'm going through old bug reports that unfortunately got no response at
the time.)

I'm not sure I understand this bug report -- `C-c q' isn't a key binding
that any Emacs mode binds, so it's not surprising that it's not bound
here, either.

Did you mean some other key binding?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10107; Package emacs. Full text available.

Message received at 10107 <at> debbugs.gnu.org:


Received: (at 10107) by debbugs.gnu.org; 24 Nov 2011 07:16:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 24 02:16:25 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RTTXk-0005D9-Gw
	for submit <at> debbugs.gnu.org; Thu, 24 Nov 2011 02:16:24 -0500
Received: from shark.2a.pl ([195.117.102.3])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <giecrilj@HIDDEN>) id 1RTTXi-0005D1-JZ
	for 10107 <at> debbugs.gnu.org; Thu, 24 Nov 2011 02:16:23 -0500
Received: from av.2a.pl (av.2a.pl [195.117.102.9])
	by shark.2a.pl (Postfix) with ESMTP id BBFEE2A6E8F
	for <10107 <at> debbugs.gnu.org>; Thu, 24 Nov 2011 08:14:51 +0100 (CET)
X-Virus-Scanned: amavisd-new at 2a.pl
Received: from shark.2a.pl ([195.117.102.3])
	by av.2a.pl (av.2a.pl [195.117.102.9]) (amavisd-new, port 10024)
	with ESMTP id fs7NWlHQtzuQ for <10107 <at> debbugs.gnu.org>;
	Thu, 24 Nov 2011 08:14:45 +0100 (CET)
Received: from [10.8.1.26] (unknown [10.8.1.26])
	by shark.2a.pl (Postfix) with ESMTPA id 26A7A2A6E95
	for <10107 <at> debbugs.gnu.org>; Thu, 24 Nov 2011 08:14:45 +0100 (CET)
Message-ID: <4ECDEED3.8040505@HIDDEN>
Date: Thu, 24 Nov 2011 08:14:27 +0100
From: =?UTF-8?B?S3J6eXN6dG9mIMW7ZWxlY2hvd3NraQ==?=
 <giecrilj@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux i686;
	rv:7.0.1) Gecko/20110929 Firefox/7.0.1 SeaMonkey/2.4.1
MIME-Version: 1.0
To: 10107 <at> debbugs.gnu.org
Subject: Re: bug#10107: Acknowledgement (23.2; Add command gud-quit)
References: <8762icpcus.fsf@HIDDEN>
	<handler.10107.B.132196456729471.ack <at> debbugs.gnu.org>
In-Reply-To: <handler.10107.B.132196456729471.ack <at> debbugs.gnu.org>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -3.4 (---)
X-Debbugs-Envelope-To: 10107
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.3 (---)

You can type C-d C-x k to achieve this effect.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10107; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Nov 2011 12:22:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 22 07:22:47 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RSpN5-0007fE-C5
	for submit <at> debbugs.gnu.org; Tue, 22 Nov 2011 07:22:47 -0500
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <giecrilj@HIDDEN>) id 1RSpMy-0007f3-UB
	for submit <at> debbugs.gnu.org; Tue, 22 Nov 2011 07:22:41 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <giecrilj@HIDDEN>) id 1RSpLd-00081V-Ic
	for submit <at> debbugs.gnu.org; Tue, 22 Nov 2011 07:21:17 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.7 required=5.0 tests=BAYES_00, RCVD_IN_BRBL_LASTEXT,
	RP_MATCHES_RCVD autolearn=no version=3.3.1
Received: from lists.gnu.org ([140.186.70.17]:60466)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <giecrilj@HIDDEN>) id 1RSpLd-00081R-H5
	for submit <at> debbugs.gnu.org; Tue, 22 Nov 2011 07:21:13 -0500
Received: from eggs.gnu.org ([140.186.70.92]:42564)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <giecrilj@HIDDEN>) id 1RSpLX-0002qX-KG
	for bug-gnu-emacs@HIDDEN; Tue, 22 Nov 2011 07:21:13 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <giecrilj@HIDDEN>) id 1RSpLT-0007zf-84
	for bug-gnu-emacs@HIDDEN; Tue, 22 Nov 2011 07:21:07 -0500
Received: from piekna-gts.2a.pl ([217.153.90.242]:49265 helo=linux-4qi7.site)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <giecrilj@HIDDEN>) id 1RSpLS-0007zK-Sc
	for bug-gnu-emacs@HIDDEN; Tue, 22 Nov 2011 07:21:03 -0500
Received: by linux-4qi7.site (Postfix, from userid 1000)
	id 211114503E; Tue, 22 Nov 2011 13:20:59 +0100 (CET)
From: giecrilj@HIDDEN (Krzysztof =17belechowski)
To: bug-gnu-emacs@HIDDEN
Subject: 23.2; Add command gud-quit
Date: Tue, 22 Nov 2011 13:20:59 +0100
Message-ID: <8762icpcus.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -6.6 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.6 (------)

<menu-bar> <tools> <gdb> ls <RET> C-c q

C-c q is undefined.
Given input C-c q when no subprocess is being debugged, gud should quit.


In GNU Emacs 23.2.1 (i586-suse-linux-gnu, GTK+ Version 2.22.1)
 of 2011-02-22 on build27
Windowing system distributor `The X.Org Foundation', version 11.0.10903000
configured using `configure  '--with-pop' '--without-hesiod' '--with-kerber=
os' '--with-kerberos5' '--with-xim' '--enable-autodepend' '--prefix=3D/usr'=
 '--mandir=3D/usr/share/man' '--infodir=3D/usr/share/info' '--datadir=3D/us=
r/share' '--localstatedir=3D/var' '--sharedstatedir=3D/var/lib' '--libexecd=
ir=3D/usr/lib' '--with-x' '--with-sound' '--with-sync-input' '--with-xpm' '=
--with-jpeg' '--with-tiff' '--with-gif' '--with-png' '--with-rsvg' '--with-=
dbus' '--without-gpm' '--with-x-toolkit=3Dgtk' '--x-includes=3D/usr/include=
' '--x-libraries=3D/usr/lib:/usr/share/X11' '--with-xft' '--with-libotf' '-=
-with-m17n-flt' '--build=3Di586-suse-linux' 'build_alias=3Di586-suse-linux'=
 'CC=3Dgcc-4.3' 'CFLAGS=3D-fomit-frame-pointer -fmessage-length=3D0 -O2 -Wa=
ll -D_FORTIFY_SOURCE=3D2 -fstack-protector -funwind-tables -fasynchronous-u=
nwind-tables -g -D_GNU_SOURCE -std=3Dgnu89 -pipe -Wno-pointer-sign -Wno-unu=
sed-variable -Wno-unused-label -Wno-unprototyped-calls -fno-optimize-siblin=
g-calls -DSYSTEM_PURESIZE_EXTRA=3D55000 	 -DSITELOAD_PURESIZE_EXTRA=3D10000=
 ' 'LDFLAGS=3D-Wl,-O2 -Wl,--hash-size=3D65521''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: pl_PL.UTF-8
  value of $XMODIFIERS: @im=3Dlocal
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Debugger

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<f10> <menu-bar> <tools> <gdb> <help-echo> <backspace>=20
<backspace> <backspace> <backspace> s <backspace> l=20
s <return> C-x k <return> n o <return> C-c q M-x r=20
e p o r t <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort mail-extr message idna sendmail regexp-opt ecomplete rfc822
mml easymenu mml-sec password-cache mm-decode mm-bodies mm-encode
mailcap mail-parse rfc2231 rfc2047 rfc2045 qp ietf-drums mailabbrev
nnheader gnus-util netrc time-date mm-util mail-prsvr gmm-utils wid-edit
mailheader canlock sha1 hex-util hashcash mail-utils emacsbug gdb-ui
byte-opt bytecomp byte-compile advice help-fns advice-preload bindat
json gud easy-mmode comint ring lpr disp-table tooltip ediff-hook
vc-hooks lisp-float-type mwheel x-win x-dnd font-setting tool-bar dnd
fontset image fringe lisp-mode register page menu-bar rfn-eshadow timer
select scroll-bar mldrag mouse jit-lock font-lock syntax facemenu
font-core frame cham georgian utf-8-lang misc-lang vietnamese tibetan
thai tai-viet lao korean japanese hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev loaddefs button minibuffer faces
cus-face files text-properties overlay md5 base64 format env code-pages
mule custom widget hashtable-print-readable backquote
make-network-process dbusbind system-font-setting font-render-setting
gtk x-toolkit x multi-tty emacs)




Acknowledgement sent to giecrilj@HIDDEN (Krzysztof =17belechowski):
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#10107; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 6 Jul 2021 18:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.